--Combine All Matches
--This script expects all confirmed matches (from Mary Jo) to already have been imported into tables called Match_2014_Confirmed, Match_2015_Confirmed, and so on.
--Adding a new year of data requires a new INSERT INTO statement to be added.

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE Table_Name='Match_All')
BEGIN
	DROP TABLE Match_All;
END

BEGIN TRANSACTION
	SELECT naics, year, qtr, ui_acct, rpt_unit, ein, legal_name, trade_name, ui_address, ui_address_2, ui_city, ui_state, ui_zip_5, mlot_address, mlot_address2, mlot_city, mlot_state, mlot_zip_5, addr_type, cnty, own_1, m1_empl, m2_empl, m3_empl, m4_empl, m5_empl, m6_empl, m7_empl, m8_empl, m9_empl, m10_empl, m11_empl, m12_empl,
	total_wage, [Number  of Years in Business] as [Number of Years in Business], SETUP_MON, SETUP_DAY, SETUP_YEAR, LIAB_MON, LIAB_DAY, LIAB_YEAR, EOL_MON, EOL_DAY, EOL_YEAR, REACT_MON, REACT_DAY, REACT_YEAR, RPT_UNIT_DESC, MEEI, QCEW_SEQ, CompressionRule, [Type Code], [Date of Injury],
	[Employee Zip], [County of Injury], [Claim Status], [Employer Name], [Employer Street Address], [Employer City], [Employer State], [Employer Zip], [Employer Payroll], [Number of Employees], [Employer Class Code], [DOB], [DOD], [Gender], [Death Indicator], [Last Date of Work],
	[Date Return to Work], [Injury Code], [Injury Desc], [Part of Body Code], [Part of Body Desc], [Premises Indicator], [Employee SSN], [Employee Last Name], [Employee First Name], [Employee Middle Initial], [Last 4 FEIN], WC_Seq, distance, matching_algorithm, confirmedMatch, manualMatch INTO Match_All
	FROM Match_2014_Confirmed;

	INSERT INTO Match_All
	SELECT naics, year, qtr, ui_acct, rpt_unit, ein, legal_name, trade_name, ui_address, ui_address_2, ui_city, ui_state, ui_zip_5, mlot_address, mlot_address2, mlot_city, mlot_state, mlot_zip_5, addr_type, cnty, own_1, m1_empl, m2_empl, m3_empl, m4_empl, m5_empl, m6_empl, m7_empl, m8_empl, m9_empl, m10_empl, m11_empl, m12_empl,
	total_wage, [Number  of Years in Business] as [Number of Years in Business], SETUP_MON, SETUP_DAY, SETUP_YEAR, LIAB_MON, LIAB_DAY, LIAB_YEAR, EOL_MON, EOL_DAY, EOL_YEAR, REACT_MON, REACT_DAY, REACT_YEAR, RPT_UNIT_DESC, MEEI, QCEW_SEQ, CompressionRule, [Type Code], [Date of Injury],
	[Employee Zip], [County of Injury], [Claim Status], [Employer Name], [Employer Street Address], [Employer City], [Employer State], [Employer Zip], [Employer Payroll], [Number of Employees], [Employer Class Code], [DOB], [DOD], [Gender], [Death Indicator], [Last Date of Work],
	[Date Return to Work], [Injury Code], [Injury Desc], [Part of Body Code], [Part of Body Desc], [Premises Indicator], [Employee SSN], [Employee Last Name], [Employee First Name], [Employee Middle Initial], [Last 4 FEIN], WC_Seq, distance, matching_algorithm, confirmedMatch, manualMatch 
	FROM Match_2015_Confirmed;

	INSERT INTO Match_All
	SELECT naics, year, qtr, ui_acct, rpt_unit, ein, legal_name, trade_name, ui_address, ui_address_2, ui_city, ui_state, ui_zip_5, mlot_address, mlot_address2, mlot_city, mlot_state, mlot_zip_5, addr_type, cnty, own_1, m1_empl, m2_empl, m3_empl, m4_empl, m5_empl, m6_empl, m7_empl, m8_empl, m9_empl, m10_empl, m11_empl, m12_empl,
	total_wage, number_of_years_in_business as [Number of Years in Business], SETUP_MON, SETUP_DAY, SETUP_YEAR, LIAB_MON, LIAB_DAY, LIAB_YEAR, EOL_MON, EOL_DAY, EOL_YEAR, REACT_MON, REACT_DAY, REACT_YEAR, RPT_UNIT_DESC, MEEI, QCEW_SEQ, CompressionRule, [Type Code], [Date of Injury],
	[Employee Zip], [County of Injury], [Claim Status], [Employer Name], [Employer Street Address], [Employer City], [Employer State], [Employer Zip], [Employer Payroll], [Number of Employees], [Employer Class Code], [DOB], [DOD], [Gender], [Death Indicator], [Last Date of Work],
	[Date Return to Work], [Injury Code], [Injury Desc], [Part of Body Code], [Part of Body Desc], [Premises Indicator], [Employee SSN], [Employee Last Name], [Employee First Name], [Employee Middle Initial], [Last 4 FEIN], WC_Seq, distance, matching_algorithm, confirmedMatch, manualMatch 
	FROM Match_2016_Confirmed;

	INSERT INTO Match_All
	SELECT naics, year, qtr, ui_acct, rpt_unit, ein, legal_name, trade_name, ui_address, ui_address_2, ui_city, ui_state, ui_zip_5, mlot_address, mlot_address2, mlot_city, mlot_state, mlot_zip_5, addr_type, cnty, own_1, m1_empl, m2_empl, m3_empl, m4_empl, m5_empl, m6_empl, m7_empl, m8_empl, m9_empl, m10_empl, m11_empl, m12_empl,
	total_wage, [NUMBER__OF_YEARS_IN_BUSINESS] as [Number of Years in Business], SETUP_MON, SETUP_DAY, SETUP_YEAR, LIAB_MON, LIAB_DAY, LIAB_YEAR, EOL_MON, EOL_DAY, EOL_YEAR, REACT_MON, REACT_DAY, REACT_YEAR, RPT_UNIT_DESC, MEEI, QCEW_SEQ, CompressionRule, [Type_Code], [DOI],
	[ee_zip], [County_of_Injury], [Claim_Status], [Employer_Name], [Employer_Street_Address], [Employer_City], [Employer_State], [Employer_Zip], [Employer_Payroll], [Number_of_Employees], [Employer_Class_Code], [DOB], [DOD], [Gender], [Death_Indicator], [Last_Date_of_Work],
	[Date_Return_to_Work], [Injury_Code], [Injury_Desc], [Part_of_Body_Code], [Part_of_Body_Desc], [Premises_Indicator], NULL, [Employee_Last_Name], [Employee_First_Name], [Employee_Middle_Initial], [Last_4_FEIN], WC_Seq, distance, matching_algorithm, confirmedMatch, manualMatch 
	FROM Match_2017_Confirmed_cleaned;
COMMIT

--(20716 rows affected)

--(18438 rows affected)

--(16511 rows affected)

--(23824 rows affected)