-- Using this script: Do a find and replace on the following tables to update them to the current year. (It's alright to let find and replace update this comment too.)
-- Match_2016_Confirmed
-- Match_2016_Manual
-- Emp_2016_Condensed
-- WC_2016
--
-- Script expects the manual matches to already have been imported into a table called Match_2016_Manual. Script adds new records to Match_2016_Confirmed.

INSERT INTO Match_2016_Confirmed
SELECT DISTINCT qcew.naics, qcew.Year, qcew.QTR, qcew.UI_ACCT, qcew.RPT_UNIT, qcew.EIN, qcew.LEGAL_NAME, qcew.TRADE_NAME, qcew.UI_ADDRESS, qcew.UI_ADDRESS_2, qcew.UI_CITY, qcew.UI_STATE, qcew.UI_ZIP_5, qcew.MLOT_ADDRESS, qcew.MLOT_ADDRESS2, qcew.MLOT_CITY, qcew.MLOT_STATE, qcew.MLOT_ZIP_5, qcew.ADDR_TYPE, qcew.CNTY, qcew.OWN_1, qcew.M1_EMPL, qcew.M2_EMPL, qcew.M3_EMPL, qcew.M4_EMPL, qcew.M5_EMPL, qcew.M6_EMPL, qcew.M7_EMPL, qcew.M8_EMPL, qcew.M9_EMPL, qcew.M10_EMPL, qcew.M11_EMPL, qcew.M12_EMPL, qcew.TOTAL_WAGE, qcew.NUMBER_OF_YEARS_IN_BUSINESS, qcew.SETUP_MON, qcew.SETUP_DAY, qcew.SETUP_YEAR, qcew.LIAB_MON, qcew.LIAB_DAY, qcew.LIAB_YEAR, qcew.EOL_MON, qcew.EOL_DAY, qcew.EOL_YEAR, qcew.REACT_MON, qcew.REACT_DAY, qcew.REACT_YEAR, qcew.RPT_UNIT_DESC, qcew.MEEI, qcew.QCEW_Seq, qcew.CompressionRule,
				wc.[Type Code], wc.[Date of Injury], wc.[Employee Zip], wc.[County Of Injury], wc.[Claim Status], wc.[Employer Name], wc.[Employer Street Address], wc.[Employer City], wc.[Employer State], wc.[Employer Zip], wc.[Employer Payroll], wc.[Number of Employees], wc.[Employer Class Code], wc.DOB, wc.DOD, wc.Gender, wc.[Death Indicator], wc.[Last Date of Work], wc.[Date Return to Work], wc.[Injury Code], wc.[Injury Desc], wc.[Part of Body Code], wc.[Part of Body Desc], wc.[Premises Indicator], wc.[Employee SSN], wc.[Employee Last Name], wc.[Employee First Name], wc.[Employee Middle Initial], wc.[Last 4 FEIN], wc.wc_seq, null as distance, 
				'Manual' as matching_algorithm, 1 as confirmedMatch, null as manualMatch, null as algorithmOrder
FROM emp_2016_condensed qcew
INNER JOIN Match_2016_Manual mm ON qcew.ui_acct = RIGHT('0000000000' + TRIM(CAST(mm.[manualUI_Acct] as varchar)), 10)
INNER JOIN WC_2016 wc ON mm.wc_seq = wc.wc_seq;

INSERT INTO Match_2016_Confirmed
SELECT DISTINCT mm.manualnaics as naics, null as Year, null as QTR, null as UI_ACCT, null as RPT_UNIT, null as EIN, null as LEGAL_NAME, null as TRADE_NAME, null as UI_ADDRESS, null as UI_ADDRESS_2, null as UI_CITY, null as UI_STATE, null as UI_ZIP_5, null as MLOT_ADDRESS, null as MLOT_ADDRESS2, null as MLOT_CITY, null as MLOT_STATE, null as MLOT_ZIP_5, null as ADDR_TYPE, null as CNTY, null as OWN_1, null as M1_EMPL, null as M2_EMPL, null as M3_EMPL, null as M4_EMPL, null as M5_EMPL, null as M6_EMPL, null as M7_EMPL, null as M8_EMPL, null as M9_EMPL, null as M10_EMPL, null as M11_EMPL, null as M12_EMPL, null as TOTAL_WAGE, null as [Number  of Years in Business], null as SETUP_MON, null as SETUP_DAY, null as SETUP_YEAR, null as LIAB_MON, null as LIAB_DAY, null as LIAB_YEAR, null as EOL_MON, null as EOL_DAY, null as EOL_YEAR, null as REACT_MON, null as REACT_DAY, null as REACT_YEAR, null as RPT_UNIT_DESC, null as MEEI, 0 as QCEW_Seq, '' as CompressionRule,
				wc.[Type Code], wc.[Date of Injury], wc.[Employee Zip], wc.[County Of Injury], wc.[Claim Status], wc.[Employer Name], wc.[Employer Street Address], wc.[Employer City], wc.[Employer State], wc.[Employer Zip], wc.[Employer Payroll], wc.[Number of Employees], wc.[Employer Class Code], wc.DOB, wc.DOD, wc.Gender, wc.[Death Indicator], wc.[Last Date of Work], wc.[Date Return to Work], wc.[Injury Code], wc.[Injury Desc], wc.[Part of Body Code], wc.[Part of Body Desc], wc.[Premises Indicator], wc.[Employee SSN], wc.[Employee Last Name], wc.[Employee First Name], wc.[Employee Middle Initial], wc.[Last 4 FEIN], wc.wc_seq, null as distance, 
				'Manual - NAICS' as matching_algorithm, 1 as confirmedMatch, null as manualMatch, null as algorithmOrder
FROM Match_2016_Manual mm
INNER JOIN WC_2016 wc ON mm.wc_seq = wc.wc_seq
WHERE mm.manualnaics is not null;

--delete unconfirmed matches?
DELETE Match_2016_Confirmed WHERE confirmedMatch = 0;